
-- DROP TABLE oneit_sec_user_extension;




CREATE TABLE oneit_sec_user_extension (
    object_id number(12) NOT NULL ,
    object_last_updated_date date DEFAULT SYSDATE NOT NULL ,
    object_created_date date DEFAULT SYSDATE NOT NULL
    , object_type varchar2(30) NOT NULL ,
    forgot_password_mail_send_date date NULL,
    forgot_password_key varchar2(10) NULL,
    role_type varchar2(200) NULL,
    phone varchar2(30) NULL,
    user_id number(12)  NULL,
    company_id number(12)  NULL
    );



ALTER TABLE oneit_sec_user_extension ADD    
    CONSTRAINT PK_oneit_sec_user_extension PRIMARY KEY 
    (
        object_id
    ) ;
    
    
    
    CREATE INDEX idx_oneit_sec_user_extension_user_id 
    ON oneit_sec_user_extension (user_id);

    CREATE INDEX idx_oneit_sec_user_extension_company_id 
    ON oneit_sec_user_extension (company_id);
